<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.9.xsd"
        objectQuotingStrategy="QUOTE_ONLY_RESERVED_WORDS">
    <changeSet id="1652432680882-1" author="patch11k (generated)">
        <createTable tableName="pet_description">
            <column autoIncrement="true" name="identifier" type="BIGINT">
                <constraints nullable="false" primaryKey="true" primaryKeyName="pk_pet_description"/>
            </column>
            <column name="description" type="VARCHAR(4000)"/>
        </createTable>
    </changeSet>
    <changeSet id="1652432680882-2" author="patch11k (generated)">
        <createTable tableName="pet_disease">
            <column autoIncrement="true" name="pet_disease_identifier" type="BIGINT">
                <constraints nullable="false" primaryKey="true" primaryKeyName="pk_pet_disease"/>
            </column>
            <column name="name" type="VARCHAR(255)"/>
            <column name="description" type="VARCHAR(255)"/>
        </createTable>
    </changeSet>
    <changeSet id="1652432680882-3" author="patch11k (generated)">
        <createTable tableName="pet_diseases">
            <column name="pet_diseases_id" type="BIGINT">
                <constraints nullable="false"/>
            </column>
            <column name="pet_id" type="BIGINT">
                <constraints nullable="false"/>
            </column>
        </createTable>
    </changeSet>
    <changeSet id="1652432680882-4" author="patch11k (generated)">
        <addColumn tableName="pet">
            <column name="pet_description_id" type="BIGINT"/>
        </addColumn>
    </changeSet>
    <changeSet id="1652432680882-5" author="patch11k (generated)">
        <addForeignKeyConstraint baseColumnNames="pet_description_id" baseTableName="pet"
                                 constraintName="FK_PET_ON_PET_DESCRIPTION" referencedColumnNames="identifier"
                                 referencedTableName="pet_description"/>
    </changeSet>
    <changeSet id="1652432680882-6" author="patch11k (generated)">
        <addForeignKeyConstraint baseColumnNames="pet_id" baseTableName="pet_diseases" constraintName="fk_petdis_on_pet"
                                 referencedColumnNames="id" referencedTableName="pet"/>
    </changeSet>
    <changeSet id="1652432680882-7" author="patch11k (generated)">
        <addForeignKeyConstraint baseColumnNames="pet_diseases_id" baseTableName="pet_diseases"
                                 constraintName="fk_petdis_on_pet_disease" referencedColumnNames="pet_disease_identifier"
                                 referencedTableName="pet_disease"/>
    </changeSet>

</databaseChangeLog>